/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.server.wm;

import static org.hamcrest.CoreMatchers.notNullValue;
import static org.junit.Assert.assertThat;

import android.platform.test.annotations.Presubmit;

import androidx.test.filters.SmallTest;

import org.junit.Rule;
import org.junit.Test;

/**
 * Build/InstallRun:
 *  atest FrameworksServicesTests:WindowManagerServiceRuleTest
 */
@Presubmit
@SmallTest
public class WindowManagerServiceRuleTest {

    @Rule
    public final WindowManagerServiceRule mRule = new WindowManagerServiceRule();

    @Test
    public void testWindowManagerSetUp() {
        assertThat(mRule.getWindowManagerService(), notNullValue());
    }
}
